> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bandwidth कीमतें प्राप्त करें

> सार्वजनिक bandwidth दरें, ऑर्डर सीमाएँ और मिनट वाली अवधियों पर छूट

## Bandwidth कीमतें प्राप्त करें

`1h` और `1d` के लिए सार्वजनिक bandwidth दरें, ऑर्डर की मात्रा की सीमाएँ, फिक्स्ड शुल्क और मिनट वाली अवधियों
(`5m` … `59m`) पर छूट के पैरामीटर लौटाता है।

**यह एंडपॉइंट सार्वजनिक है — प्रमाणीकरण आवश्यक नहीं है।** यह हमेशा सार्वजनिक दरें लौटाता है। अपनी दर पर किसी
ऑर्डर की सटीक राशि के लिए [Bandwidth मूल्य अनुमान](https://docs.tronrental.com/hi/api-reference/bandwidth/quote.md) का उपयोग करें।

### प्रतिक्रिया

**price\_per\_day\_trx** `string`

घंटे की दर पर 24 घंटे के लिए 1,000 bandwidth यूनिट का मूल्य, TRX में: `price_sun_1h × 24 / 1000`। `1d` ऑर्डर की
कीमत इसके बजाय `price_sun_1d` से निकलती है।

**price\_sun\_1h** `number`

`1h` की सार्वजनिक दर, प्रति 1 bandwidth यूनिट SUN। मिनट वाली अवधियों की कीमत इसी से निकलती है।

**price\_sun\_1d** `number`

`1d` की सार्वजनिक दर, प्रति 1 bandwidth यूनिट SUN

**min\_volume** `number`

सबसे छोटा ऑर्डर, bandwidth यूनिट में (1)

**max\_volume** `number`

सबसे बड़ा ऑर्डर, bandwidth यूनिट में (100,000)

**fixed\_fee\_trx** `string`

मानक फिक्स्ड शुल्क, किसी भी अवधि के लिए प्रति ऑर्डर एक बार लिया जाता है। आपका अपना शुल्क अलग हो सकता है —
[Bandwidth मूल्य अनुमान](https://docs.tronrental.com/hi/api-reference/bandwidth/quote.md) उसे लौटाता है।

**short\_min\_minutes** `number`

सबसे छोटी मिनट वाली अवधि (5, यानी `"5m"`)

**short\_max\_minutes** `number`

सबसे लंबी मिनट वाली अवधि (59, यानी `"59m"`)। एक घंटा `"1h"` है।

**short\_max\_discount\_pct** `string`

सबसे छोटी अवधि पर घंटे की दर से छूट, प्रतिशत में। सबसे लंबी अवधि पर यह रैखिक रूप से घटकर शून्य हो जाती है:
`discount % = short_max_discount_pct × (59 − minutes) / 54`। यह केवल किराये पर लागू होती है, फिक्स्ड शुल्क पर
नहीं। `"0"` का अर्थ है कि मिनट वाली अवधियों की कीमत घंटे की दर के बराबर है।

### उदाहरण

```bash cURL theme={null}
curl https://api.tronrental.com/v1/bandwidth/prices
```

```python Python theme={null}
import requests
resp = requests.get("https://api.tronrental.com/v1/bandwidth/prices")
print(resp.json())
```

```javascript JavaScript theme={null}
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/prices");
const data = await resp.json();
console.log(data);
```

> [!NOTE]
>
> नीचे दिए मान उदाहरण हैं। दरें और छूट बदल सकती हैं।

```json Response theme={null}
{
  "price_per_day_trx": "9.6",
  "price_sun_1h": 400,
  "price_sun_1d": 630,
  "min_volume": 1,
  "max_volume": 100000,
  "fixed_fee_trx": "0.2",
  "short_min_minutes": 5,
  "short_max_minutes": 59,
  "short_max_discount_pct": "5"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.